/*
 * Copyright 2003 TransGaming Technologies
 *
 * David Hammerton
 *
 */

#include <string.h>
#include "winbase.h"
#include "commctrl.h"
#include "wine/debug.h"

DEFAULT_DEBUG_CHANNEL(link);

typedef struct
{
    DWORD dwDummy;
} LINK_INFO;

#define LINK_GetInfoPtr(hwnd) ((LINK_INFO *)GetWindowLongW(hwnd, 0))

static LRESULT WINAPI
LINK_WindowProc(HWND hwnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
    if (!LINK_GetInfoPtr(hwnd) && (uMsg != WM_CREATE))
        return DefWindowProcW(hwnd, uMsg, wParam, lParam);
    FIXME("stub!\n");
    return DefWindowProcW(hwnd, uMsg, wParam, lParam);
}

void LINK_Register(void)
{
    WNDCLASSW wndClass;

    ZeroMemory (&wndClass, sizeof(WNDCLASSW));
    wndClass.style         = CS_GLOBALCLASS;
    wndClass.lpfnWndProc   = (WNDPROC)LINK_WindowProc;
    wndClass.cbClsExtra    = 0;
    wndClass.cbWndExtra    = sizeof(LINK_INFO *);
    wndClass.hCursor       = LoadCursorW (0, IDC_HANDW);
    wndClass.hbrBackground = (HBRUSH)(COLOR_WINDOW + 1);
    wndClass.lpszClassName = WC_NATIVEFONTCTLW;

    RegisterClassW (&wndClass);
}

void LINK_Unregister(void)
{
    UnregisterClassW(WC_NATIVEFONTCTLW, (HINSTANCE)NULL);
}

